<?php

namespace Tests\App\Models;

use Tests\Support\ModelCrudTestCase;
use App\Models\EventModel;

class EventModelTest extends ModelCrudTestCase
{

    public function testCanInsertAndRetrieve()
    {
        $this->assertModelCanInsertAndRetrieve(EventModel::class);
    }

    public function testCanUpdate()
    {
        $this->assertModelCanUpdate(EventModel::class);
    }

    public function testCanDelete()
    {
        $this->assertModelCanDelete(EventModel::class);
    }
}
